import request from "@/utils/request";
const baseURL = "/account";

/**
 * 角色模板 添加/编辑
 * @param {*} data 
 * @returns 
 */
export function roleTemplateAdd(data) {
  return request({
    url: `${baseURL}/admin/roleTemplate`,
    method: data.id ? "put" : "post",
    data,
  });
}

/**
 * 角色模板 列表
 * @param {*} params 
 * @returns 
 */
export function roleTemplateList(params) {
  return request({
    url: `${baseURL}/admin/roleTemplate/list`,
    method: "get",
    params,
  });
}

/**
 * 角色模板 删除
 * @param {*} id
 * @returns 
 */
export function roleTemplateDel(id) {
  return request({
    url: `${baseURL}/admin/roleTemplate?id=${id}`,
    method: "DELETE"
  });
}

/**
 * 角色模板 根据模板保存角色
 * @param {*} data 
 * @returns 
 */
export function saveByTemplate(data) {
  return request({
    url: `${baseURL}/admin/role/saveByTemplate`,
    method: "post",
    data,
  });
}


